package main

import (
	"fmt"
	"hakushi-crawl/internal"
)

func main() {
	listLocale := []string{
		"en", "jp", "cn", "kr",
	}
	for _, locale := range listLocale {
		fmt.Printf("Fetching character data for %s\n", locale)
		internal.SaveDataCharacter(locale)

		fmt.Printf("Fetching lightcone data for %s\n", locale)
		internal.SaveDataLightcone(locale)

		fmt.Printf("Fetching relic data for %s\n", locale)
		internal.SaveDataRelic(locale)

		fmt.Printf("Fetching monster data for %s\n", locale)
		internal.SaveDataMonster(locale)

		fmt.Printf("Fetching moc data for %s\n", locale)
		internal.SaveDataMOCEvent(locale)

		fmt.Printf("Fetching pf data for %s\n", locale)
		internal.SaveDataPFEvent(locale)

		fmt.Printf("Fetching as data for %s\n", locale)
		internal.SaveDataASEvent(locale)

		fmt.Printf("Fetching peak data for %s\n", locale)
		internal.SaveDataPeakEvent(locale)
	}
	fmt.Println("DONE!")
}
